Systemanforderungen

Folgende Anforderungen stellt das VIZUKA AFFILIATE CMS & PREISVERGLEICH PORTAL an die Serverumgebung:

  1. Serverbetriebssystem Unix, Linux oder FreeBSD + Apache (Shared Hosting geeignet).
  2. Berechtigung eigene PHP Scripte ausführen zu dürfen.
  3. allow_url_fopen auf ON
  4. Das SOAP-Protokoll muss auf Ihrem Server installiert/aktiviert sein.
  5. Das Modul mod_rewrite muss auf Ihrem Server installiert sein.
  6. PHP Version 5.6 (ab Version 5.5) und eine MySQL Datenbank ab Version 5 und FTP-Zugang.
  7. ab Version 5.5 PHP Version 5.6 php_default_charset UTF-8 (bis 2018/2019)
  8. Ion Cube Loader muss auf Ihrem Server installiert sein
    (Hinweis: Der Ioncube Loader ist auf vielen Shared Hosting Servern bereits vorinstalliert.
    Wenn nicht, bitten Sie Ihren Host diesen zu installieren.)
Wichtiger Hinweis: Das Script ist größtenteils Quelloffen. Verschlüsselt (Ioncube) sind einige
wenige Dateien die allg. Funktionen und für die Funktionalität des Scripts wesentliche
Funktionen enthalten, die nicht geändert werden sollten, da sonst die Funktionalität (Tracking, Preisvergleich etc.) ggf. nicht mehr gegeben ist.

Zudem gibt es für eigene Anpassungen die Möglichkeit Module zu erstellen. Vorlagen und Dokumentation sind erhältlich. Bei Updates des Scripts gibt es dann auch keine Upgrade Fehler, wenn Änderungen zu den bearbeiteten Dateien erforderlich sind.